@import url('https://fonts.googleapis.com/css2?family=IBM+Plex+Sans:wght@500&family=Rubik&display=swap');
*{
    margin: 0;
    padding: 0;
    /* box-sizing: border-box; */
    color: rgba(255, 255, 255, 0.756);
    background-color: black;
    list-style: none;
    font-family: General sans;
    text-decoration: none;
}
.hero{
    position: relative;
    height: 100vh;
    width: 100%;
    background-color: black;
}
.nav{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
}
.menu{
    display: none;
    color: white;
}
.menu-screen{
    display: none;
    flex-direction: column;
    gap: 20px;
    justify-content: center;
    align-items: center;
    background-color: rgb(167, 167, 167);
    height: 100%;
    width: 70%;
    position: absolute;
    z-index: 999;
    right: -100%;
}
.menu-screen h3{
    background-color: transparent;
}
.menu-screen a{
    background-color: transparent;
    color: black;
}

.blur{
    height: 100%;
    width: 100%;
    background-color: rgba(255, 255, 255, 0.708);
    filter: blur(5px);
}
.menu-screen i{
    background-color: transparent;
    position: absolute;
    right: 10px;
    top: 10px;
    color: black;
    font-size: 25px;
}
ul{
    display: flex;
}
ul li{
    transition: all 0.6s ease-in-out;
}
.nav ul li a{
    margin: 4px 20px;
    font-size: 1.6vw;
    padding: 4px 15px;
    border-radius: 100px;
    
}
.nav ul:hover li{
    filter: blur(5px);
}
.nav ul:hover li:hover{
    filter: blur(0);
}
.intro{
    padding: 40px;
    opacity: 0.7;
    margin-top: 20px;
}
#bounding{
    width: fit-content;
    overflow: hidden;
}
#bounding #boundingelem{
    transform: translateY(100%);
}
.intro h1{
    font-size: 10vw;
    line-height: 100%;
    color: rgba(255, 255, 255, 0.555);
}
.intro .chotiheading{
    display: flex;
    flex-direction: column;
    align-items: end;
    width: fit-content;
    margin-left: 15vw;
}
.chotiheading h4{
    text-align: right;
    font-size: 1.5vw;
    color: rgba(255, 255, 255, 0.829);
}
.freelance{
    display: flex;
    justify-content: right;
    margin-top: 100px;
}
.freelance h3{
    margin-right: 30px;
    font-size: 1.12vw;
}
.linked{
    position: absolute;
    bottom: 5px;
}
.linked a{
    padding-left: 10px;
}
.hero2{
    margin-top: 200px;
}
.further{
    background-color: black;
    margin-bottom: 100px;
}
.links{
    width: 90%;
    margin-left: 3.4vw;
}
.links h1{
    opacity: 0.7;
    color: rgba(255, 255, 255, 0.521);
    border-top: 2px solid rgba(255, 255, 255, 0.521);
    font-size: 6vw;
    padding: 5vw 0;
}
.links h1.last{
    border-bottom: 2px solid rgba(255, 255, 255, 0.521);
}
.hero3{
    background-color: black;
}
.hero3 .about img{
    width: 250px;
    border-radius: 50%;
}
.hero3 .about{
    display: flex;
    align-items: center;
    gap: 30px;
    padding: 5vw 10vw;
    padding-left: 30vw;
    /* background-color: cadetblue; */
}
.hero3 .about .aboutcontent{
    width: 400px;
}
.aboutcontent h5{
    opacity: 0.7;
}
.aboutcontent a{
    padding: 3px 10px;
    border-radius: 100px;
    border: 2px solid rgba(255, 255, 255, 0.724);
}
.aboutcontent p{
    margin-bottom: 10px;
}
.footer{
    display: flex;
    flex-direction: column;
    gap: 100px;
    background-color: black;
    padding: 5vw 0 0.4vw 2vw;
}
.footer h5{
    opacity: 0.7;
}
.akhri{
    display: flex;
    justify-content: space-between;
}
.akhri ul li{
    position: relative;
    font-size: 15px;
    padding: 0 10px;
}
.akhri ul{
    margin-right: 10px;
}
#minicircle{
    transition: all cubic-bezier(0.19, 1, 0.22, 1) 0.8s;
    z-index: 999;
    position: absolute;
    width :13px ;
    height: 13px;
    border-radius: 50%;
    opacity: 0.5;
    background-color: rgb(255, 255, 255);
}

@media (max-width:600px) {
    #minicircle{
        display: none;
    }
    .nav h1{
        font-size: 4vw;
    }
    .nav ul{
        display: none;
    }
    .menu{
        display: block;
    }
    .intro{
        padding: 10px;
        margin-top: 80px;
        width: 100%;
    }
    .intro h1{
        font-size: 15vw;
    }
    .chotiheading h4{
        font-size: 3vw;
    }
    .intro .chotiheading{
        margin-left: 5vw;
    }
    .links h1{
        font-size: 5vw;
        letter-spacing:1px;
    }
    .freelance h3{
        font-size: 3vw;
    }
    .linked{
        bottom: 90px;
    }
    .linked a{
        font-size: 4vw;
    }
    .hero3 .about{
        flex-direction: column;
        align-items: start;
        margin-bottom: 30px;
    }
    
    .hero3 .about img{
        width: 150px;
    }
    .hero3 .about{
        padding-left: 7vw;
    }
    .hero3 .about .aboutcontent{
        width: 80vw;
    }
    .footer .tele{
        font-size: 3.4vw;
        padding-left: 7vw;
    }
    .akhri{
        display: flex;
        flex-direction: column-reverse;
        gap: 20px;
        margin-bottom: 5px;
    }
    .akhri ul li{
        padding-left: 0;
        font-size: 3vw;
    }
    .akhri h4{
        font-size: 3vw;
    }
    .further{
        margin-bottom: 50px;
    }
    .hero2{
        margin-top: 0;
    }
}

@media (max-width:1000px) and (min-width:599px) {
    .nav h1{
        font-size: 2.5vw;
    }
    .intro{
        padding: 30px;
    }
    .intro h1{
        font-size: 12vw;
    }
    .chotiheading h4{
        font-size: 3vw;
    }
    .freelance h3{
        font-size: 2vw;
    }
    .hero3 .about img{
        width: 150px;
    }
    .hero3 .about{
        padding-left: 15vw;
    }
}
